DbEnv::get_lg_filemode()
Prev | Chapter 8. The DbLsn Handle | Next

## DbEnv::get_lg_filemode()

    #include <db_cxx.h>

    int
    DbEnv::get_lg_filemode(int *lg_modep);

The `DbEnv::set_lg_filemode()` method returns the log file mode. You can manage this value using the DbEnv::set_lg_filemode() method.

The `DbEnv::set_lg_filemode()` method may be called at any time during the life of the application.

The `DbEnv::set_lg_filemode()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### lg_modep

The `DbEnv::set_lg_filemode()` method returns the log file mode in lg_modep.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods, DbEnv::set_lg_filemode()

Prev | Up | Next
DbEnv::get_lg_dir() | Home | DbEnv::get_lg_max()